Module ij
Package ij.util

# Class Java2

java.lang.Object
ij.util.Java2

public class Java2 extends Object
This class contains static methods that use the Java 2 API. They are isolated here to prevent errors when ImageJ is running on Java 1.1 JVMs.

## Constructor Summary

Constructors
Constructor
Description
`Java2()`

## Method Summary

Modifier and Type
Method
Description
`static LookAndFeel`
`getLookAndFeel()`
Returns the current Swing look and feel or null.
`static int`
`getStringWidth(String s, FontMetrics fontMetrics, Graphics g)`
`static void`
`setAntialiased(Graphics g, boolean antialiased)`
`static void`
`setAntialiasedText(Graphics g, boolean antialiasedText)`
`static void`
`setBilinearInterpolation(Graphics g, boolean bilinearInterpolation)`
`static void`
`setLookAndFeel(LookAndFeel newLookAndFeel)`
Sets the Swing look and feel.
`static void`
`setSystemLookAndFeel()`
Sets the Swing look and feel to the system look and feel (Windows only).

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Java2

public Java2()

## Method Details

### setAntialiased

public static void setAntialiased(Graphics g, boolean antialiased)

### setAntialiasedText

public static void setAntialiasedText(Graphics g, boolean antialiasedText)

### getStringWidth

public static int getStringWidth(String s, FontMetrics fontMetrics, Graphics g)

### setBilinearInterpolation

public static void setBilinearInterpolation(Graphics g, boolean bilinearInterpolation)

### setSystemLookAndFeel

public static void setSystemLookAndFeel()
Sets the Swing look and feel to the system look and feel (Windows only).

### setLookAndFeel

public static void setLookAndFeel(LookAndFeel newLookAndFeel)
Sets the Swing look and feel.

### getLookAndFeel

public static LookAndFeel getLookAndFeel()
Returns the current Swing look and feel or null.